<?php
include("kurs/datenbankanbindung.php");     // f&uuml;gt die Datenbankanbindung ein: \php\includes\kurs\datenbankanbindung.php
/*
sid = 21 HS Ludwigsburg (stan_standort)
vbid = 2 Ordnungsverwaltung (stan_vertiefungsbereich)
wagsid = stan_ag_standort_wunsch
stan_ag_standort


Jeder Student Praktizumsreitraum (stan_antrag). Mit dieser
SAID wählt er zwei Wunschstandorte. Diese bekommen dann eine Prio 0 für zugewiesener Wunschstandort (wagsid ind stand_ag_standort_wunsch).
Mit diser wagsid geht man dann in stan_ag_standort.agsid jahr=10 und vbid=2


SELECT count(*) Anz
  FROM stan_antrag a, stan_ag_standort_wunsch b, stan_ag_standort c, stud d
 WHERE a.saaid = b.saaid
   AND b.wagsid=c.agsid
   AND a.uid=d.uid
   AND b.prio=1
   AND c.jahr='10'
   AND c.vbid='2'
   AND c.sid=21
   AND d.Jahrgang ='10'
   AND d.durchgefallen != 'Y'
   AND a.beginn <= '2011-07-15'
   AND a.ende >= '2011-07-15'

*/
if (isset($_GET['action']))
   $action = $_GET['action'];
else
   $action = "";

switch($action){
default:
$jahrgang=$_GET["jahrgang"];
setcookie("ck_jahrgang","$jahrgang");
echo"

  <html>
  <head>
  <meta http-equiv='Content-Type' content='text/html; charset=windows-1252'>
  <link rel='stylesheet' href='tmpl/{tmpl_var name='global_template'}/css/styles_pc.php' type='text/css'>
  <style type='text/css'>
  select{
  	width:350px;
  }
  </style>

</head>
<body>
                            

                     <form action="; echo $_SERVER['PHP_SELF'] . "?action=ort"; echo" method=\"POST\">";
                      $db = dbconnect();
                      $query = "SELECT a.agsid,a.vbid, a.sid, standort, bezeichnung
			          FROM stan_ag_standort a, stan_standort b, stan_vertiefungsbereich c
			         WHERE a.sid=b.sid
			           AND a.vbid=c.vbid
			           AND a.jahr='$jahrgang'
			         ORDER BY standort, bezeichnung
                               ";
                      $result = $db->query ($query)
                         or die ("Cannot execute query");
                      
                      echo"<select size=\"1\" name='standort'>";
                      while ($row = $result->fetch_array()){
                      
                      echo "<option value=\"$row[agsid]\">$row[standort] ($row[bezeichnung])&nbsp;&nbsp;&nbsp;&nbsp;</option>\n";
                      }
                      echo "</select>";
                      $jahrgang1 = $jahrgang+1;
                      $jahrgang2 = $jahrgang1+1;
                      
                      if(isset($_COOKIE["ck_beginn"])){
                        $beginn = $_COOKIE["ck_beginn"];
                      }else{
                        $beginn = "15.07.20$jahrgang1";
                      }
                      
                      if(isset($_COOKIE["ck_ende"])){
                        $ende = $_COOKIE["ck_ende"];
                      }else{
                        $ende = "14.09.20$jahrgang2";
                      }
                      echo"
                      <br>
                      <table >
                      <tr>
                        <td>
                          Beginn:
                        </td>
                        <td>
                          <input type=\"text\" name=\"beginn\" value='$beginn' size=\"40\">
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Ende:
                        </td>
                        <td>
                          <input type=\"text\" name=\"ende\" value='$ende' size=\"40\">
                        </td>
                      </tr>
                      <tr>
                        <td>
                          Prio:
                        </td>
                        <td>
                          <input type=\"text\" name=\"prio\" value='1' size=\"40\">
                        </td>
                      </tr>
                      </table>
                      <br><br>
                      <input type=\"submit\" value=\"Abschicken\" name=\"B1\"> </p>
                    </form>
  		          
</body>
</html>
";


break;
case "ort":


$prio = $_POST["prio"];

setcookie("ck_beginn",$_POST["beginn"]);
setcookie("ck_ende",$_POST["ende"]);


$beginn = preg_split('/\./', $_POST["beginn"]);
$ende = preg_split('/\./', $_POST["ende"]);
$jahrgang= $_COOKIE["ck_jahrgang"];
$standort = $_POST["standort"];

$db = dbconnect();
$result0 = $db->query("SELECT sid,vbid
                          FROM stan_ag_standort
                         WHERE agsid = '$standort'
                      ");
$row0 = $result0->fetch_array();


$starttag = "$beginn[0]";
$startmonat = "$beginn[1]";
$startjahr = "$beginn[2]";
$endetag = "$ende[0]";
$endemonat = "$ende[1]";
$endejahr = "$ende[2]";

$vdate = mktime(0,0,0,$startmonat,$starttag,$startjahr);
$bdate = mktime(0,0,0,$endemonat,$endetag,$endejahr);

$tage = ($bdate-$vdate)/86400;






$result1 = $db->query("SELECT standort, e.bezeichnung
                          FROM stan_ag_standort c, stan_standort d, stan_vertiefungsbereich e
                         WHERE c.sid=d.sid
                           AND c.vbid=e.vbid
                           AND c.jahr='$jahrgang'
                           AND c.vbid='$row0[vbid]'
                           AND d.sid='$row0[sid]'
                      ");
$row1 = $result1->fetch_array();
echo"<h1>$row1[standort] ($row1[bezeichnung])</h1><br />";
echo "<h2><a href='auswertung_anz_teilnehmer.php?jahrgang=$jahrgang'>zurück</a></h2>";
echo "<table width='100%'>
       <tr>
         <td><b>Datum</b></td>
         <td><b>Kalenderwoche</b></td>
         <td><b>Anzahl Pesonen</b></td>
       </tr>";
for ($i = 0; $i <= $tage; $i++) {
 $date = mktime(0,0,0,$startmonat,$starttag+$i,$startjahr);
 $abfragedatum = date("Y-m-d",$date);
 

 $result = $db->query("SELECT count(*) Anz
                          FROM stan_antrag a, stan_ag_standort_wunsch b, stan_ag_standort c, stud d
                         WHERE a.saaid = b.saaid
                           AND b.wagsid=c.agsid
                           AND a.uid=d.uid
                           AND b.prio='$prio'
                           AND c.jahr='$jahrgang'
                           AND c.vbid='$row0[vbid]'
                           AND c.sid='$row0[sid]'
                           AND d.Jahrgang ='$jahrgang'
                           AND d.durchgefallen != 'Y'
                           AND a.beginn <= '$abfragedatum'
                           AND a.ende >= '$abfragedatum'
                       ");
 $row = $result->fetch_array();

 
 
 $ausgabedatum = date("d.m.Y",$date);
 $kalwoche = date("W",$date);
 echo "<tr>
         <td>$ausgabedatum</td>
         <td>$kalwoche</td>
         <td>$row[Anz]</td>
       </tr>";
}
echo "</table>";

}
?>